package com.gmail.berndivader.animatorstands.conditions;

import com.gmail.berndivader.animatorstands.ArmorStandUtils;

import io.lumine.mythic.api.adapters.AbstractEntity;
import io.lumine.mythic.api.config.MythicLineConfig;
import io.lumine.mythic.api.skills.conditions.IEntityCondition;
import io.lumine.mythic.core.skills.SkillCondition;
import io.lumine.mythic.core.skills.conditions.ConditionAction;

public class ArmorStandIsAnimator extends SkillCondition implements IEntityCondition {

	public ArmorStandIsAnimator(String line, MythicLineConfig mlc) {
		super(line);
		this.setAction(ConditionAction.CAST);
	}

	@Override
	public boolean check(AbstractEntity target) {
		return ArmorStandUtils.isArmorStandAnimation(target);
	}
}
